コンテンツへスキップ

Gemini Omni Flash 1.1 Image to Video

統合

モデルID google/gemini-omni-flash/v1.1/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.80 800 APIクレジット · ≈ ₽85.97 このページで実行

APIキーを取得
Google 画像から動画 4K出力リップシンク高速3–10 s4kまで #stylized#transform#lipsync

最初のフレームを音声付き動画に変換し、任意の終了フレームと3〜10秒の長さに対応

Google · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 20000

最初の画像用のアニメーション指示。終端画像が指定されている場合は、そこへ補間する方法も含めます。

•必須 image_url
ファイルをドロップ、または

アニメーションの開始フレームを指すURL。

aspect_ratio デフォルト 16:9

出力動画のアスペクト比。

resolution デフォルト 720p

出力動画に使用する解像度。

デフォルト 8

秒単位で表す出力動画の長さ。

詳細設定 end_image
end_image_url
ファイルをドロップ、または

終端フレーム画像のURL。指定すると、記載された順序を維持しながら両画像間の補間を有効にします。

POST /run/google/gemini-omni-flash/v1.1/image-to-video?wait=20 見積もり → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Gemini Omni Flash 1.1 Image to Videoについて

`prompt`に従って`image_url`を動画化し、任意の`end_image_url`へ補間できます。`duration`は3〜10秒(デフォルト8)、`aspect_ratio`は16:9または9:16、`resolution`は360p〜4kです。出力動画には同期音声が含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 20,000文字
最初の画像用のアニメーション指示。終端画像が指定されている場合は、そこへ補間する方法も含めます。
image_url必須 image
型url · image
アニメーションの開始フレームを指すURL。
end_image_url任意 end_image
型url · image
終端フレーム画像のURL。指定すると、記載された順序を維持しながら両画像間の補間を有効にします。
aspect_ratio任意
型enum
デフォルト16:9
16:99:16
出力動画のアスペクト比。
resolution任意
型enum
デフォルト720p
360p720p1080p4k
出力動画に使用する解像度。
duration任意
型integer
デフォルト8
3 – 10
秒単位で表す出力動画の長さ。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: 画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/google/gemini-omni-flash/v1.1/image-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt